Bug 11435 - Build fails for pmdactdb
Build fails for pmdactdb
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.2.3
All Linux
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 03:58 UTC by Amitay Isaacs
Modified: 2015-09-08 10:49 UTC (History)
3 users (show)

See Also:


Attachments
Patch for v4-2 branch (1.07 KB, patch)
2015-08-06 04:00 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2015-08-06 03:58:36 UTC
[173/213] Linking default/ctdb/pmdactdb
default/ctdb/utils/pmda/pmda_ctdb_39.o: In function `pmda_ctdb_daemon_connect':
/home/amitay/samba/samba-master/ctdb/bin/../utils/pmda/pmda_ctdb.c:226: undefined reference to `set_nonblocking'
/home/amitay/samba/samba-master/ctdb/bin/../utils/pmda/pmda_ctdb.c:227: undefined reference to `set_close_on_exec'
default/ctdb/common/system_linux_8.o: In function `ctdb_sys_send_tcp':
/home/amitay/samba/samba-master/ctdb/bin/../common/system_linux.c:375: undefined reference to `set_nonblocking'
/home/amitay/samba/samba-master/ctdb/bin/../common/system_linux.c:376: undefined reference to `set_close_on_exec'
default/ctdb/common/system_linux_8.o: In function `ctdb_sys_open_capture_socket':
/home/amitay/samba/samba-master/ctdb/bin/../common/system_linux.c:458: undefined reference to `set_nonblocking'
/home/amitay/samba/samba-master/ctdb/bin/../common/system_linux.c:459: undefined reference to `set_close_on_exec'
default/ctdb/client/ctdb_client_9.o: In function `ctdb_socket_connect':
/home/amitay/samba/samba-master/ctdb/bin/../client/ctdb_client.c:269: undefined reference to `set_nonblocking'
/home/amitay/samba/samba-master/ctdb/bin/../client/ctdb_client.c:270: undefined reference to `set_close_on_exec'
default/ctdb/client/ctdb_client_9.o: In function `switch_from_server_to_client':
/home/amitay/samba/samba-master/ctdb/bin/../client/ctdb_client.c:4405: undefined reference to `debug_extra'
default/ctdb/common/ctdb_io_6.o: In function `queue_io_read':
/home/amitay/samba/samba-master/ctdb/bin/../common/ctdb_io.c:199: undefined reference to `sys_read'
default/ctdb/common/ctdb_util_6.o: In function `ctdb_parse_address':
/home/amitay/samba/samba-master/ctdb/bin/../common/ctdb_util.c:112: undefined reference to `parse_ip'
default/ctdb/common/cmdline_6.o: In function `ctdb_cmdline_init':
/home/amitay/samba/samba-master/ctdb/bin/../common/cmdline.c:100: undefined reference to `get_debug_by_desc'
default/ctdb/common/cmdline_6.o: In function `ctdb_cmdline_client':
/home/amitay/samba/samba-master/ctdb/bin/../common/cmdline.c:151: undefined reference to `get_debug_by_desc'
default/ctdb/common/ctdb_fork_6.o: In function `ctdb_set_child_info':
/home/amitay/samba/samba-master/ctdb/bin/../common/ctdb_fork.c:34: undefined reference to `debug_extra'
default/ctdb/common/ctdb_fork_6.o: In function `ctdb_fork':
/home/amitay/samba/samba-master/ctdb/bin/../common/ctdb_fork.c:87: undefined reference to `reset_scheduler'
collect2: error: ld returned 1 exit status
Comment 1 Amitay Isaacs 2015-08-06 04:00:31 UTC
Created attachment 11311 [details]
Patch for v4-2 branch
Comment 2 Amitay Isaacs 2015-08-06 04:58:00 UTC
Hi Karolin,

This is for 4.2.x.
Comment 3 Stefan Metzmacher 2015-08-17 16:13:05 UTC
Pushed to autobuild-v4-2-test
Comment 4 Stefan Metzmacher 2015-08-24 12:58:42 UTC
(In reply to Stefan Metzmacher from comment #3)

Pushed to v4-2-test, but I forgot to add bug markers to commit
baf532857f534f659bfa28f6110a0cf97fc987e6.

Leave this open as reminder to fill WHATSNEW.txt
Comment 5 Karolin Seeger 2015-09-08 10:49:54 UTC
(In reply to Stefan Metzmacher from comment #4)
Added, thanks!